Subject: Re: [bug#69827] [PATCH 1/3] build-system/go: Add subdir parameter to go-version->git-ref.

From: Simon Tournier <[email-masked]>
Date: Tue, 10 Sep 2024 14:21:49 +0200

Hi Oleg,

Thanks for taking care about the unmerged patches. :-)

On Sat, 07 Sep 2024 at 15:28, Sharlatan Hellseher <[email-masked]> wrote:

> - <2023-05-22> [PATCH 0/2] Fix annoyance with "guix import go"
>   <https://issues.guix.gnu.org/63647> by Simon Tournier
>   <[email-masked]>

[...]

> May we come to some consensus and apply some median patch including all
> proposals and fixing the currently issue with import golang modules with
> subdirs?

Well, from my perspective, patch#63647 was ready but since I am not
really using “guix import go”, I do not feel qualified to know what is
better: error out at the first Git issue and continue with a wrong hash.

Somehow, what appears to you the better answer of:

        I thought it would be more appropriate to error out as soon as we have a
        Git problem, rather than print a warning and emit an incorrect hash.

        I understand that, when using ‘--recursive’, this means aborting the
        whole process without producing anything.  But maybe that’s better that
        producing an incorrect (origin …) form?

My intuition is not to abort the whole process and instead get something
where I manually fix these incorrect hashes.  When I had to do it, it
had been far easier and faster than looping over “guix import go”.

In other words, “guix import go foo -r” and paste the output in one
file, then run “guix build foo” and fix the incorrect hash origins or
some other package tweaks.

I have not looked into the other patches; if they fix similar issues,

Cheers,
simon

1: [bug#63647] [PATCH 0/2] Fix annoyance with "guix import go"
Ludovic Courtès <[email-masked]>
Tue, 06 Jun 2023 17:42:00 +0200
id:[email-masked]
https://issues.guix.gnu.org/63647
https://issues.guix.gnu.org/msgid/[email-masked]
https://yhetil.org/guix/[email-masked]